<form nz-form [formGroup]="form" class="form" (submit)="submitRegister()">
  <h1 style="color:rgba(0, 14, 33, 0.639)">Register</h1>
  <div style="text-align: left; margin-top: 10px; color:rgba(0, 14, 33, 0.639)">* Username</div>
  <div>
    <input nz-input nzSize="large" formControlName="username" />
  </div>
  <div style="text-align: left; margin-top: 10px; color:rgba(0, 14, 33, 0.639)">* Email</div>
  <div>
    <input nz-input nzSize="large" formControlName="email" type="email" />
  </div>
  <div style="text-align: left; margin-top: 10px; color:rgba(0, 14, 33, 0.639)">* Password</div>
  <div>
    <input nz-input nzSize="large" formControlName="password" type="password" />
  </div>
  <div style="text-align: left; margin-top: 10px; color:rgba(0, 14, 33, 0.639)">
    * Password confirm
  </div>
  <div>
    <input nz-input nzSize="large" formControlName="password2" type="password" />
  </div>
  <div>
    <button nz-button nzType="primary" type="submit" class="register" style="margin-top: 10px">
      Register
    </button>
  </div>
</form>

<div style="margin-top: 20px; vertical-align: middle">
  <h3>Register with:</h3>
  <div style="
      display: inline-block;
      margin-left: 10px;
      background-image: url('../../../assets/img/pasta-labs.png');
      background-size: 50px 25px;
      cursor: pointer;
      width: 50px;
      height: 25px;
    " nzTooltipTitle="PastaLabs" nzTooltipPlacement="bottom" nz-tooltip (click)="loginWithPastaLabs()"></div>
</div>
